Subject: Re: bug#67310: [PATCH] Include the project--list as history when prompting for a project

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Nov 2023 17:57:10 +0200

> Date: Sat, 25 Nov 2023 17:06:06 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 25/11/2023 16:10, Eli Zaretskii wrote:
> >> Date: Sat, 25 Nov 2023 16:05:03 +0200
> >> Cc:[email-masked],[email-masked],[email-masked]
> >> From: Dmitry Gutov<[email-masked]>
> >>
> >>> I generally request and expect people not to make unnecessary changes,
> >>> since doing that makes forensics harder: you see changes which don't
> >>> change the code's semantics, and need to waste time studying such
> >>> "changes" and deciding that they are no-ops.
> >>>
> >>> Please everyone keep this in mind when you make changes.
> >> In general we don't frown in making minor cosmetic changes in the same
> >> area as major meaningful changes are done.
> > Yes, if the changes are for the better.  In this case, they seem to be
> > due to someone's personal stylistic preferences, so their value is
> > questionable at best.
> 
> I generally allow stylistic preferences when they don't run counter to 
> mine. That's better for contributors' morale, for one thing.

I suggest what I think is a better principle: the stylistic
preferences of the original author always take precedence.  This is
better both for the original author's morale (as in "something will
always be left of my contribution"), and for forensics, as I explained.

And I don't think this should hurt contributors' morale, since they
will know that their preferences in the code they introduce will be
kept for as long as the code is relevant, and not overwritten the next
day.